summaryrefslogtreecommitdiff
path: root/standalone/windows/build-simple.sh
diff options
context:
space:
mode:
authorGravatar Joey Hess <joeyh@joeyh.name>2015-04-21 14:10:30 -0400
committerGravatar Joey Hess <joeyh@joeyh.name>2015-04-21 14:10:30 -0400
commit05019dcff318698e50fb4a13183bbfbded34d5e8 (patch)
treee52e396deac9f86fa3461e51e8404c637a837b87 /standalone/windows/build-simple.sh
parent7b5268df964caa6d2884ef7f6c52103cdb960d42 (diff)
avoid cabal update every time
Diffstat (limited to 'standalone/windows/build-simple.sh')
-rwxr-xr-xstandalone/windows/build-simple.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/standalone/windows/build-simple.sh b/standalone/windows/build-simple.sh
index bb63b4fa2..9b26e5189 100755
--- a/standalone/windows/build-simple.sh
+++ b/standalone/windows/build-simple.sh
@@ -21,8 +21,10 @@ withcygpreferred () {
# Install haskell dependencies.
# cabal install is not run in cygwin, because we don't want configure scripts
# for haskell libraries to link them with the cygwin library.
-cabal update || true
-cabal install --only-dependencies || true
+if ! cabal install --only-dependencies; then
+ cabal update || true
+ cabal install --only-dependencies
+fi
# Build git-annex
if [ ! -e "dist/setup-config" ]; then